#
# spec file for package konquest
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           konquest
BuildRequires:  libkdegames4-devel
BuildRequires:  xz
Summary:        Galactic strategy game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Puzzle
Url:            http://www.kde.org
Version:        16.08.2
Release:        0
Source0:        konquest-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
This the KDE version of Gnu-Lactic Konquest, a multi-player strategy
game. The goal of the game is to expand your interstellar empire across
the galaxy.


%prep
%setup -q -n konquest-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %kde4_makeinstall
  %suse_update_desktop_file -r konquest          Game LogicGame
  %kde_post_install

%files 
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_kde4_bindir}/konquest
%{_kde4_htmldir}/en/konquest/
%{_kde4_applicationsdir}/konquest.desktop
%{_kde4_iconsdir}/hicolor/*/apps/konquest.*
%{_kde4_appsdir}/konquest/

%changelog
